Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.common
Class MinimumSizedCheckIcon

    java.lang.Object
      com.jgoodies.looks.common.MinimumSizedIcon
          com.jgoodies.looks.common.MinimumSizedCheckIcon

All Implemented Interfaces:
  Icon

    public final class MinimumSizedCheckIcon

extends MinimumSizedIcon

An implementation of the `Icon` interface that has a minimum size and active border. The minimum size is read from the `UIManager` `defaultIconSize` key.

Version:
  $Revision: 1.9 $
Author:
  Karsten Lentzsch
See Also:
  `MinimumSizedIcon`

Constructor Summary
`MinimumSizedCheckIcon(Icon icon, JMenuItem menuItem)`

Method Summary
`void` | `paintIcon(Component c, Graphics g, int x, int y)`

Methods inherited from class com.jgoodies.looks.common.MinimumSizedIcon
`getIconHeight, getIconWidth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MinimumSizedCheckIcon

    public MinimumSizedCheckIcon(Icon icon,
                                 JMenuItem menuItem)

Method Detail

### paintIcon

    public void paintIcon(Component c,
                          Graphics g,
                          int x,
                          int y)

  Specified by:
    `paintIcon` in interface `Icon`
  Overrides:
    `paintIcon` in class `MinimumSizedIcon`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JGoodies Karsten Lentzsch. All Rights Reserved.